Subject: Re: make (v. 3.81) fails -- "target pattern contains no `%'"
From: Jim Lawson <[email-masked]>
To: Aslam Karachiwala <[email-masked]>
Cc: [email-masked]
Date: Wed, 12 Jul 2006 17:32:04 -0700 (PDT)

> > Date: Wed, 12 Jul 2006 20:15:27 -0400
> From: "Aslam Karachiwala" <[email-masked]>
> To: [email-masked]
> Subject: make (v. 3.81) fails -- "target pattern
> contains no `%'"
> 
> cygcheck.out attached.
> 
>  The Makefiles were copied from Solaris 10, and make
> worked fine prior
> to the update yesterday (7/11/06), and it works
> fine, again, after I
> reverted back to make v. 3.80
> 
...
> 
>  The error -- target pattern contains no `%' --
> occurs at a target
> such as the following:
> 
> releaseproducts  :: $(RELEASEDIR)/$(BINIMAGE)
> 
>  --aslam
> 

I think you'll find that this is due to the dropping
of support for Windows paths in the new (3.81) version
of make.
I suspect $(RELEASEDIR) has a ':' in it somewhere.

Try something like this:

   RELEASEDIR:=$(shell cygpath -u $(RELEASEDIR))

__________________________________________________
Do You Yahoo!?
Tired of spam?  Yahoo! Mail has the best spam protection around 
http://mail.yahoo.com 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/